Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 09-09-2010, 05:58 AM   #1
maitrayei
Junior Member
maitrayei began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Sep 2010
Device: Kindle 3
Installing latest Calibre in Ubuntu 10.04

Dear all, I know I may be asking the topic which has been asked umpteen no of times... however, trust me I did try to search for an appropriate question and solution to the same problem.... but to no awail, I could not find my problem here... So here I go....

I have ubuntu 10.04 and though the Software Centre provides CALIBRE as an option, the problem is that it is 0.6.42 version. Is there any way in which the latest version can be installed on my system.

Before I confuse people I did look at the option at the site

http://calibre-ebook.com/download_linux

however I was not able to install the same due to some unknown reasons....

Kindly help me to figure out the correct method to do the same.
maitrayei is offline   Reply With Quote
Old 09-09-2010, 06:28 AM   #2
maitrayei
Junior Member
maitrayei began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Sep 2010
Device: Kindle 3
Latest update

I tried installing the dependencies as has been listed in the site as entioned above and could manage to install all but PoDofo.... (reasons unknown). Thereafter I wrote the command in the appropriate place... a lot of downloading took place; my password was asked and the error that finally came out was following: -

calibre/INSTALL
manish@manish-desktop:~$ cd calibre*
manish@manish-desktop:~/calibre$ sudo python setup.py install
[sudo] password for manish:
Package poppler was not found in the pkg-config search path.
Perhaps you should add the directory containing `poppler.pc'
to the PKG_CONFIG_PATH environment variable
No package 'poppler' found
Package poppler-qt4 was not found in the pkg-config search path.
Perhaps you should add the directory containing `poppler-qt4.pc'
to the PKG_CONFIG_PATH environment variable
No package 'poppler-qt4' found
Traceback (most recent call last):
File "setup.py", line 13, in <module>
import setup.commands as commands
File "/home/manish/calibre/setup/commands.py", line 28, in <module>
from setup.translations import POT, GetTranslations, Translations, ISO639
File "/home/manish/calibre/setup/translations.py", line 14, in <module>
from setup.build_environment import pyqt
File "/home/manish/calibre/setup/build_environment.py", line 149, in <module>
popplerqt4_inc_dirs = poppler_inc_dirs + [poppler_inc_dirs[0]+'/qt4']
IndexError: list index out of range
manish@manish-desktop:~/calibre$ ^C
manish@manish-desktop:~/calibre$



Any help people
maitrayei is offline   Reply With Quote
Old 09-09-2010, 09:04 PM   #3
DoctorOhh
US Navy, Retired
DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.
 
DoctorOhh's Avatar
 
Posts: 8,843
Karma: 12535517
Join Date: Feb 2009
Location: North Carolina
Device: Nexus 7
Quote:
Originally Posted by maitrayei View Post
Before I confuse people I did look at the option at the site

http://calibre-ebook.com/download_linux

however I was not able to install the same due to some unknown reasons....
Remove calibre (not your library) from your system, reboot and follow the directions for the binary install.
DoctorOhh is offline   Reply With Quote
Old 09-10-2010, 02:24 AM   #4
maitrayei
Junior Member
maitrayei began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Sep 2010
Device: Kindle 3
dwanthny, thanx a ton.... I was able to do the same courtesy suggestion from you. Worked like hot knife through butter

Regards
maitrayei is offline   Reply With Quote
Old 09-10-2010, 02:48 AM   #5
DoctorOhh
US Navy, Retired
DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.DoctorOhh ought to be getting tired of karma fortunes by now.
 
DoctorOhh's Avatar
 
Posts: 8,843
Karma: 12535517
Join Date: Feb 2009
Location: North Carolina
Device: Nexus 7
Quote:
Originally Posted by maitrayei View Post
dwanthny, thanx a ton.... I was able to do the same courtesy suggestion from you. Worked like hot knife through butter

Regards
Glad to hear your up and running.
DoctorOhh is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems Installing on Lunix Ubuntu machine Snackb0y11 Calibre 2 12-28-2009 11:04 AM
Problem Installing Calibre on EeePC 901 (Ubuntu Jaunty) andavane Calibre 4 11-08-2009 02:05 PM
Problems installing Version: 0.4.109 on Ubuntu Server 8.10 machalla Calibre 0 12-03-2008 09:23 PM
Problems with installing Calibre, Ubuntu 7.10 Gusty AMD_64 with PRS-500 deedward9 Calibre 2 07-07-2008 08:22 PM
Problem installing / using latest Calibre update thorswitch Calibre 15 06-18-2008 04:51 PM


All times are GMT -4. The time now is 08:04 AM.


MobileRead.com is a privately owned, operated and funded community.